Unable to import wx.grid

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to import wx.grid

Archana Malagi
Hi experts,

I am facing problem while importing grid and following error:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/fsluser/.local/lib/python2.7/site-packages/wx/grid.py", line 12, in <module>
    from ._grid import *
ImportError: libSDL-1.2.so.0: cannot open shared object file: No such file or directory

 I have installed  libSDL-1.2.so.0 (latest version) and still getting same problem.

Please help.

Thank you,
Archana

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Unable to import wx.grid

GadgetSteve


On 14/08/2018 07:24, Archana Malagi wrote:

> Hi experts,
>
> I am facing problem while importing grid and following error:
>
> Traceback (most recent call last):
>    File "<stdin>", line 1, in <module>
>    File "/home/fsluser/.local/lib/python2.7/site-packages/wx/grid.py",
> line 12, in <module>
>      from ._grid import *
> ImportError: libSDL-1.2.so.0: cannot open shared object file: No such
> file or directory
>
>   I have installed  libSDL-1.2.so.0 (latest version) and still getting
> same problem.
>
> Please help.
>
> Thank you,
> Archana
>
What version of wxPython & which OS?

--
Steve (Gadget) Barnes
Any opinions in this message are my personal opinions and do not reflect
those of my employer.

---
This email has been checked for viruses by AVG.
https://www.avg.com

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Unable to import wx.grid

Archana Malagi
WxPython version:4.0.0
Os: Centos 7 installed in VMware

Thanks,
Archana

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Unable to import wx.grid

GadgetSteve

On 14/08/2018 19:12, Archana Malagi wrote:
> WxPython version:4.0.0
> Os: Centos 7 installed in VMware
>
> Thanks,
> Archana
>

Thanks - I forgot to ask - Does the wx.Grid demo run on your
installation? (You can get the demos package from
https://extras.wxpython.org/wxPython4/extras/ and pick the version that
matches your wxPython version.
--
Steve (Gadget) Barnes
Any opinions in this message are my personal opinions and do not reflect
those of my employer.

---
This email has been checked for viruses by AVG.
https://www.avg.com

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Unable to import wx.grid

Archana Malagi
Hi,

I ran python demo.py:
Same error shows up.  

File "demo.py", line 3, in <module>
    import Main
  File "/home/fsluser/Documents/wxPython-demo-4.0.0/demo/Main.py", line 62, in <module>
    import wx.adv
  File "/home/fsluser/.local/lib/python2.7/site-packages/wx/adv.py", line 13, in <module>
    from ._adv import *
ImportError: libSDL-1.2.so.0: cannot open shared object file: No such file or directory


On Wednesday, 15 August 2018 00:04:20 UTC+5:30, Gadget Steve wrote:

On 14/08/2018 19:12, Archana Malagi wrote:
> WxPython version:4.0.0
> Os: Centos 7 installed in VMware
>
> Thanks,
> Archana
>

Thanks - I forgot to ask - Does the wx.Grid demo run on your
installation? (You can get the demos package from
<a href="https://extras.wxpython.org/wxPython4/extras/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fextras.wxpython.org%2FwxPython4%2Fextras%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGGkRvCSUltaWD_3hcCuuuM3vTVSw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fextras.wxpython.org%2FwxPython4%2Fextras%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGGkRvCSUltaWD_3hcCuuuM3vTVSw&#39;;return true;">https://extras.wxpython.org/wxPython4/extras/ and pick the version that
matches your wxPython version.
--
Steve (Gadget) Barnes
Any opinions in this message are my personal opinions and do not reflect
those of my employer.

---
This email has been checked for viruses by AVG.
<a href="https://www.avg.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.avg.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNErX2VZQElyN1XAQ1JS-bYYtVyfHg&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.avg.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNErX2VZQElyN1XAQ1JS-bYYtVyfHg&#39;;return true;">https://www.avg.com

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Unable to import wx.grid

Robin Dunn
On Tuesday, August 14, 2018 at 8:34:12 PM UTC-7, Archana Malagi wrote:
Hi,

I ran python demo.py:
Same error shows up.  

File "demo.py", line 3, in <module>
    import Main
  File "/home/fsluser/Documents/wxPython-demo-4.0.0/demo/Main.py", line 62, in <module>
    import wx.adv
  File "/home/fsluser/.local/lib/python2.7/site-packages/wx/adv.py", line 13, in <module>
    from ._adv import *
ImportError: libSDL-1.2.so.0: cannot open shared object file: No such file or directory


If it helps, this is how the CentOS-7 build machine is set up,  (where the wheels for CentOS are built):

https://github.com/wxWidgets/Phoenix/blob/wxPy-4.0.x/vagrant/centos-7/bootstrap.sh

The versions of the SDL rpms installed are:

[vagrant@localhost ~]$ yum list installed | grep -i sdl
SDL.x86_64                       1.2.15-14.el7                  @base
SDL-devel.x86_64                 1.2.15-14.el7                  @base

--
Robin

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Unable to import wx.grid

Archana Malagi
Thanks a lot. Problem resolved.

On Wednesday, 15 August 2018 22:44:29 UTC+5:30, Robin Dunn wrote:
On Tuesday, August 14, 2018 at 8:34:12 PM UTC-7, Archana Malagi wrote:
Hi,

I ran python demo.py:
Same error shows up.  

File "demo.py", line 3, in <module>
    import Main
  File "/home/fsluser/Documents/wxPython-demo-4.0.0/demo/Main.py", line 62, in <module>
    import wx.adv
  File "/home/fsluser/.local/lib/python2.7/site-packages/wx/adv.py", line 13, in <module>
    from ._adv import *
ImportError: libSDL-1.2.so.0: cannot open shared object file: No such file or directory


If it helps, this is how the CentOS-7 build machine is set up,  (where the wheels for CentOS are built):

<a href="https://github.com/wxWidgets/Phoenix/blob/wxPy-4.0.x/vagrant/centos-7/bootstrap.sh" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2FwxWidgets%2FPhoenix%2Fblob%2FwxPy-4.0.x%2Fvagrant%2Fcentos-7%2Fbootstrap.sh\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNF0YrKNTRU64Ob9cIK-kX7mZ9M00g&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2FwxWidgets%2FPhoenix%2Fblob%2FwxPy-4.0.x%2Fvagrant%2Fcentos-7%2Fbootstrap.sh\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNF0YrKNTRU64Ob9cIK-kX7mZ9M00g&#39;;return true;">https://github.com/wxWidgets/Phoenix/blob/wxPy-4.0.x/vagrant/centos-7/bootstrap.sh

The versions of the SDL rpms installed are:

[vagrant@localhost ~]$ yum list installed | grep -i sdl
SDL.x86_64                       1.2.15-14.el7                  @base
SDL-devel.x86_64                 1.2.15-14.el7                  @base

--
Robin

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.